Release notes for API Platform 2.0
New APIs
The following APIs are new in API Platform 2.0:
-
Delivery API — a new API that enables you to request delivery of your tasked products or any products you purchased from the public catalog. See Delivery.
-
Notifications API — a new API for handling asynchronous interactions. The Notifications API enables you to use webhooks to learn when resources are updated in the ICEYE system. See Notifications.
Updated APIs
Tasking API
The following operations have changed in v2:
-
POST /tasking/v2/tasksendpoint — the Create task operation has changed as follows:-
A new
notificationsparameter is provided, which you can configure to receive callbacks from the notification service whenever the task status changes. -
The
deliveryLocationsparameter has been replaced by thedeliveriesparameter, which enables you to configure delivery locations in a manner that is consistent with the new Delivery API. -
The
additionalProductTypesparameter has been removed. The SLA products delivered for a tasking request are now managed by your company’s contract and changes to the SLA products can be requested by contacting the COSP team.
-
-
GET /tasking/v2/tasks/:taskIDendpoint — in the Get task operation, the response now includes fields fordeliveriesandnotifications. -
GET /tasking/v2/tasks/:taskID/productsandGET tasking/v2/tasks/:taskID/products/:productTypeendpoints — in the Get products and Get products by type operations, the response is similar to the Catalog API and includes many additional properties in the product description.
Catalog API
The Catalog API now provides access not just to the public catalog, but also to the private images you have previously tasked (associated with the company of the currently authenticated user).
The following operations are new in v2:
-
GET /catalog/v2/priceendpoint — using the Get frame price operation, you can check the price of a frame before purchasing (for contracts that have an associated pricing model).
The following operations have changed in v2:
-
GET /catalog/v2/itemsendpoint — in the List catalog items operation, the variety of properties that can be provided to thesortbyquery parameter has been extended and existing property names have been modified to conform to the STAC standard.STAC items returned from this operation now include additional properties.
-
POST /catalog/v2/searchendpoint — in the Search catalog items operation, the number of different properties you can provide in a STAC metadata query has been extended. See Filtering by STAC metadata query.STAC items returned from this operation now include additional properties.
-
POST /catalog/v2/purchasesendpoint — in the Purchase frame operation, an image is purchased by frame, not by STAC item. The following changes were made to this endpoint:-
To purchase a frame, specify the
frameID(instead of a list of item IDs). -
Instead of specifying the
companyNameandcontactPersonparameters, set the optionaleulaparameter. -
The response message has a new format, which includes the purchase ID, frame ID, and status.
-
-
GET /catalog/v2/purchases/:PURCHASE_IDendpoint — in the Get purchase operation, the response message has a new format, which includes the purchase ID and frame ID. -
GET /catalog/v2/purchasesendpoint — in the List purchases operation, the purchase records returned in the response have a new format. -
GET /catalog/v2/purchases/:PURCHASE_ID/productsendpoint — in the List purchase products operation, the format of the STAC items returned from this operation has been modified and extended to include many more properties.
Searchable properties
API Platform 2.0 adds new searchable STAC item properties and updates existing property names to conform to the STAC standards.
The following properties were removed:
-
image_mode— was removed in 2.0. Usesar:instrument_modeinstead. -
incidence_angle— was removed in 2.0. Useiceye:incidence_centerinstead.
The following properties were renamed to conform to the STAC item specification (using prefixes):
| API Platform 1.0 property name | API Platform 2.0 property name |
|---|---|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
The following STAC item properties were added:
| New API Platform 2.0 property |
|---|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
|
Documentation website
The API Platform documentation has been migrated to a new website, with the following changes:
-
A search box is provided (top right) for User Guide content.
-
An Atom/RSS feed is provided for changelog updates: https://docs.iceye.com/constellation/api/blogs/atom